Subject: [MMUSIC] RADPLAY comment ... (fwd)

From: Rob Lanphier <[email-masked]>
Date: Mon, 18 Feb 2002 14:23:39 -0800 (Pacific Standard Time)

Forwarded with permission from the author....
---------- Forwarded message ----------
Date: Mon, 18 Feb 2002 13:43:20 -0800
From: John Lazzaro <[email-masked]>
To: "[email-masked]" <[email-masked]>
Subject: RADPLAY comment ...

Hi Rob,

        Quick comment on RADPLAY -- I think of all of those bits devoted
to resiliency inside of each payload type (not via one of the generic
resiliency schemes like RFC2733, but the extra codec-specific stuff
that's added for resilience), all going to waste when downloaded via
HTTP via TCP. I guess the packetization I'm working on is extreme in
the regard:

http://www.ietf.org/internet-drafts/draft-ietf-avt-mwpp-midi-rtp-00.txt

	where there's two versions (resilient and non-resilient) with
a large relative bandwidth cost for resiliency (absolute cost isn't
bad, though, about voice codec range).

	Maybe this would all be "outside" RADPLAY -- people would be
expected to convert formats from resilient to non-resilient to optimize
bandwidth as part of the file preparation process -- but maybe there's
a reason why RADPLAY needs to be aware of the issue too ...

							--john lazzaro

-------------------------------------------------------------------------
John Lazzaro -- Research Specialist -- CS Division -- EECS -- UC Berkeley
lazzaro [at] cs [dot] berkeley [dot] edu     www.cs.berkeley.edu/~lazzaro
-------------------------------------------------------------------------

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic